Bug 205950 - net/samba{36,4,41,42} remove deprecated @dirrm's
Summary: net/samba{36,4,41,42} remove deprecated @dirrm's
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-06 10:19 UTC by Pawel Pekala
Modified: 2016-02-27 23:54 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback-


Attachments
@dirrm fix (12.78 KB, patch)
2016-01-06 10:19 UTC, Pawel Pekala
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2016-01-06 10:19:07 UTC
Created attachment 165149 [details]
@dirrm fix

Remove deprecated @dirrm's from pkg-plist of samba ports.
Note that net/samba4 got it's PORTVERSION bumped as stage-qa found
one file not included in pkg-plist.
Comment 1 commit-hook freebsd_committer 2016-01-21 15:43:10 UTC
A commit references this bug:

Author: pawel
Date: Thu Jan 21 15:42:41 UTC 2016
New revision: 406862
URL: https://svnweb.freebsd.org/changeset/ports/406862

Log:
  Remove deprecated @dirrm's from pkg-plist of samba ports.
  Note that net/samba4 got it's PORTVERSION bumped as stage-qa found
  one file not included in pkg-plist.

  PR:		205950
  Submitted by:	myself
  Approved by:	maintainer timeout

Changes:
  head/net/samba36/pkg-plist.swat
  head/net/samba4/Makefile
  head/net/samba4/pkg-plist
  head/net/samba41/pkg-plist
  head/net/samba42/pkg-plist
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-21 16:03:31 UTC
Assign to Committer that resolved :)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-21 16:03:54 UTC
Comment on attachment 165149 [details]
@dirrm fix

maintainer timeout, implicit approval
Comment 4 commit-hook freebsd_committer 2016-02-27 23:54:02 UTC
A commit references this bug:

Author: junovitch
Date: Sat Feb 27 23:53:15 UTC 2016
New revision: 409704
URL: https://svnweb.freebsd.org/changeset/ports/409704

Log:
  MFH: r406862, r409126, r409127, r409703

  r406862 (net/samba36 only):
  Remove deprecated @dirrm's from pkg-plist of samba ports.
  Note that net/samba4 got it's PORTVERSION bumped as stage-qa found
  one file not included in pkg-plist.

  PR:             205950
  Submitted by:   myself
  Approved by:    maintainer timeout

  r409126:
  net/samba36: Mark DEPRECATED

  This Samba port was not yet marked deprecated. It has been EoL since 2015-03-04

  r409127:
  net/samba36: Extend expiration date

  I intended this to align with the next quarterly release.

  r409703:
  net/samba36: add patches corresponding to 16 Dec 2015 security releases

  PR:             206808
  Reported by:    Marcin Gryszkalis <mg@fork.pl>
  Submitted by:   takefu@airport.fm (original patch)
  Approved by:    ports-secteam (with hat)
  Security:       CVE-2015-5252
  Security:       CVE-2015-5296
  Security:       CVE-2015-5299
  Security:       https://vuxml.FreeBSD.org/freebsd/ef434839-a6a4-11e5-8275-000c292e4fd8.html

Changes:
_U  branches/2016Q1/
  branches/2016Q1/net/samba36/Makefile
  branches/2016Q1/net/samba36/distinfo
  branches/2016Q1/net/samba36/pkg-plist.swat